Loading...
Searching...
No Matches
DataProvider::DelayedObservable Class Referenceabstract

This class represents an observable subject that waits for external confirmation before raising events. More...

`#include <Observable.qc.dox.h>`

Inheritance diagram for DataProvider::DelayedObservable:
[legend]

## Public Member Functions

abstract | observersReady ()
| Called when all observers have been added to the object. More...
Public Member Functions inherited from DataProvider::Observable
bool | deregisterObserver (object observer)
| The method deregisters the given observer. More...
bool | deregisterObserver (Observer observer)
| The method deregisters the given observer. More...
| log (int level, string fmt)
| Reimplement this method to implement logging. More...
| notifyObservers (string event_id, hash< auto > data_)
| The method notifies all subscribed observers. More...
| registerObserver (object observer)
| The method registers the given observer. More...
| registerObserver (Observer observer)
| The method registers the given observer. More...
| registerObserverWithFilter (object observer, AbstractEventFilter filter)
| The method registers the given observer. More...
| registerObserverWithFilter (Observer observer, AbstractEventFilter filter)
| The method registers the given observer. More...

## Additional Inherited Members

Protected Member Functions inherited from DataProvider::Observable
hash< ObserverEventInfo > | registerObserverEventsArgs (hash< ObserverEventInfo > info, list< auto > events)
| Registers observer events.
Protected Attributes inherited from DataProvider::Observable
hash< string, hash< ObserverEventInfo > > | observer_map
| maps from object hash -> object

## Detailed Description

This class represents an observable subject that waits for external confirmation before raising events.

## Member Function Documentation

## observersReady()

abstract DataProvider::DelayedObservable::observersReady | ( |  | ) |

pure virtual

Called when all observers have been added to the object.

This method is meant to trigger event generation